Añadir a la lista de bloqueo los complementos que provocan problemas de estabilidad o seguridad

A partir de la versión 57 de Firefox, solo funcionarán los complementos que se hayan creado con las APIs de WebExtensions. ¿No estás seguro si esto te afecta? Puedes obtener más información en el artículo La tecnología de los complementos de Firefox está modernizándose y en estas preguntas frecuentes.

Las listas de bloqueo son el último recurso para proteger a los usuarios de Firefox contra complementos (extensiones, temas y plugins) que violan las pautas y reglas de los complementos de Mozilla.

¿Qué hace la lista de bloqueo?

Una vez que se incluye en la lista de bloqueo, Firefox evitará que se cargue ese complemento no seguro. Los bloqueos pueden ser de distinto tipo, dependiendo de la gravedad del problema.

  • Los Bloqueos sencillos deshabilitan la extensión por defecto, pero puedes ignorar el bloqueo y seguir usando el complemento. Suelen utilizarse para complementos no maliciosos.
  • Los Bloqueos severos deshabilitan el complemento y no puedes volver a activarlo o ignorar el bloequeo. Se suelen usar para complementos considerados como maliciosos.
  • Los Bloqueos que necesitan activación son los que deshabilitan un plugin de forma predeterminada, pero puedes volver a activarlo en ciertos sitios. Este tipo de bloqueo se utiliza para plugins no maliciosos.

¿Cómo sé si un complemento está bloqueado?

Te aparecerá una notificación de Firefox con el siguiente mensaje:

Firefox ha determinado que los siguientes complementos causan problemas de estabilidad o seguridad.


Add-ons Blocklist Mac1

Para evitar que Firefox ejecute estos complementos, haz clic en Reiniciar Firefox.

Si el complemento tiene un bloqueo severo, no podrás ignorar el bloqueo.

¿Puedo instalar un complemento si se ha bloqueado?

Una vez que se ha bloqueado un complemento, no aparecerá en la galería de addons.mozilla.org hasta que el desarrollador suba una nueva versión en la que se solucione el problema que ocasionó el bloqueo.

Además, Firefox te mostrará el siguiente mensaje para evitar que instales un complemento no seguro:

No se pudo instalar el complemento nombre porque existe un alto riesgo de provocar problemas de estabilidad o seguridad.

Si no pudiste instalar un complemento, comprueba si hay una versión actualizada. Ten en cuenta que algunos bloqueos pueden ser permanentes y quizas tengas que buscar un complemento alternativo.

Evitar que los plugins se ejecuten automáticamente

Firefox puede evitar que los plugins se ejecuten automáticamente, evitando muchos problemas. Cuando Firefox bloquee un plugin te aparecerá un mensaje parecido a este:

Click to play 1 new

Podrás elegir entre ejecutarlo o actualizarlo (si hay alguna actualización disponible). Para obtener más información, consulta el artículo ¿Qué tengo que hacer para activar los plugins?

Ya no existe soporte para todas los plugins NPAPI, excepto para Flash en la versión 52 de Firefox, que finalizó en marzo de 2017. Para más detalles, échale un vistazo a este documento de compatibilidad y a este artículo.

A partir de la versión 52 de Firefox, se finalizará el soporte para todos los plugins NPAPI, excepto para Flash. Para más detalles, consulta este documento de compatibilidad y este artículo.

Qué hacer si recibes una notificación de bloqueo

Si el complemento instalado se ha deshabilitado

Acepta la notificación y reinicia Firefox.

Plugins

Comprueba si hay una versión actualizada de tu plugin. Si no hay actualizaciones disponibles, es posible que debas ponerte en contacto con el desarrollador del plugin que ha sido bloqueado.

¿Se puede revertir un bloqueo?

Depende de la gravedad de la infracción, el historial del desarrollador y otros factores. Algunos bloqueos se pueden cancelar si el desarrollador sube una nueva versión aprobada. Si es el caso, los usuarios que habían descargado el complemento anteriormente podrán volver a usarlo en cuanto vuelva a publicarse en addons.mozilla.org.

Asegúrate de que siempres usas la versión más reciente de un complemento (extensión o tema):
  1. Haz clic en el botón de menú Fx57menu , en Fx57Addons-icon Complementos y selecciona Extensions.
  2. Haz clic en el icono de Ajustes Add-on Tools Icon y asegúrate de que esté activado el elemento de menú Actualizar complementos automáticamente.

¿Qué complementos no seguros se encuentran en la lista de bloqueo?

Aquí puedes consultar la lista de los complementos bloqueados.

//Esta gente maravillosa ayudó a escribir este artículo: Pedro García Rodríguez, inma_610, Melissa Sanabria, Ángela Velo. Tú también puedes ayudar: descubre cómo hacerlo.

¿Te resultó útil este artículo? Espera por favor...

Colabora en Ayuda de Mozilla